POV-Ray : Newsgroups : povray.unofficial.patches : UberPOV v1.37.1.0-beta.9 released Server Time: 27 May 2017 07:56:17 GMT
  UberPOV v1.37.1.0-beta.9 released (Message 1 to 10 of 16)  
Goto Latest 10 Messages Next 6 Messages >>>
From: clipka
Subject: UberPOV v1.37.1.0-beta.9 released
Date: 31 Jan 2015 08:47:33
Message: <54cc96a5$1@news.povray.org>
Latest UberPOV version, with all the new official POV-Ray bells & 
whistles merged in.

https://github.com/UberPOV/UberPOV/releases/tag/v1.37.1.0-beta.9


Post a reply to this message

From: rfree
Subject: Re: UberPOV v1.37.1.0-beta.9 released
Date: 31 Jan 2015 14:35:00
Message: <web.54cce7fad79e1cec8d15b2010@news.povray.org>
clipka <ano### [at] anonymousorg> wrote:
> Latest UberPOV version, with all the new official POV-Ray bells &
> whistles merged in.
>
> https://github.com/UberPOV/UberPOV/releases/tag/v1.37.1.0-beta.9

Cool that someone works on this :)


Post a reply to this message

From: James Holsenback
Subject: Re: UberPOV v1.37.1.0-beta.9 released
Date: 1 Feb 2015 01:26:58
Message: <54cd80e2$1@news.povray.org>
On 01/31/2015 03:47 AM, clipka wrote:
> Latest UberPOV version, with all the new official POV-Ray bells &
> whistles merged in.
>
> https://github.com/UberPOV/UberPOV/releases/tag/v1.37.1.0-beta.9

I'm getting this error during the make portion of the build:

In file included from backend/frame.h:67:0,
                  from lightgrp.cpp:35:
./base/colour.h: In member function 
‘pov_base::GenericTrans<COLOUR_T>::Channel 
pov_base::GenericTrans<COLOUR_T>::LegacyOpacity(const Colour&) const’:
./base/colour.h:1132:28: error: ‘col’ was not declared in this scope
In file included from backend/frame.h:67:0,
                  from lightgrp.cpp:35:
./base/colour.h: In constructor 
‘pov_base::GenericTransColour<CT>::GenericTransColour(const Colour&, 
pov_base::GenericTransColour<CT>::Channel, 
pov_base::GenericTransColour<CT>::Channel)’:
./base/colour.h:1933:13: error: class ‘pov_base::GenericTransColour<CT>’ 
does not have any field named ‘mFilter’
./base/colour.h:1934:13: error: class ‘pov_base::GenericTransColour<CT>’ 
does not have any field named ‘mTransm’
make[2]: *** [lightgrp.o] Error 1
make[2]: Leaving directory 
`/home/ash/ScratchPad/uber/UberPOV-1.37.1.0-beta.9/source'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory 
`/home/ash/ScratchPad/uber/UberPOV-1.37.1.0-beta.9'
make: *** [all] Error 2

Same error that I'm getting with ANY source AFTER beta6 (which built 
just fine)


Post a reply to this message

From: James Holsenback
Subject: Re: UberPOV v1.37.1.0-beta.9 released
Date: 1 Feb 2015 01:46:55
Message: <54cd858f$1@news.povray.org>
On 01/31/2015 08:26 PM, James Holsenback wrote:
> On 01/31/2015 03:47 AM, clipka wrote:
>> Latest UberPOV version, with all the new official POV-Ray bells &
>> whistles merged in.
>>
>> https://github.com/UberPOV/UberPOV/releases/tag/v1.37.1.0-beta.9
>
> I'm getting this error during the make portion of the build:
>
> In file included from backend/frame.h:67:0,
>                   from lightgrp.cpp:35:
> ./base/colour.h: In member function
> ‘pov_base::GenericTrans<COLOUR_T>::Channel
> pov_base::GenericTrans<COLOUR_T>::LegacyOpacity(const Colour&) const’:
> ./base/colour.h:1132:28: error: ‘col’ was not declared in this scope
> In file included from backend/frame.h:67:0,
>                   from lightgrp.cpp:35:
> ./base/colour.h: In constructor
> ‘pov_base::GenericTransColour<CT>::GenericTransColour(const Colour&,
> pov_base::GenericTransColour<CT>::Channel,
> pov_base::GenericTransColour<CT>::Channel)’:
> ./base/colour.h:1933:13: error: class ‘pov_base::GenericTransColour<CT>’
> does not have any field named ‘mFilter’
> ./base/colour.h:1934:13: error: class ‘pov_base::GenericTransColour<CT>’
> does not have any field named ‘mTransm’
> make[2]: *** [lightgrp.o] Error 1
> make[2]: Leaving directory
> `/home/ash/ScratchPad/uber/UberPOV-1.37.1.0-beta.9/source'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory
> `/home/ash/ScratchPad/uber/UberPOV-1.37.1.0-beta.9'
> make: *** [all] Error 2
>
> Same error that I'm getting with ANY source AFTER beta6 (which built
> just fine)

thinking it's the configure phase I redirected output to file to compare 
results:

diff c-outb6 c-outb9
4c4
< Configure UberPOV version 1.37.0.0-beta.6
---
 > Configure UberPOV version 1.37.1.0-beta.9
177a178
 > checking whether g++ accepts -Wno-non-template-friend... yes
222c223
< UberPOV 1.37.0.0-beta.6 has been configured.
---
 > UberPOV 1.37.1.0-beta.9 has been configured.
235c236
<   Compiler flags:      -pipe -Wno-multichar -Wno-write-strings 
-fno-enforce-eh-specs -s -O3 -ffast-math -malign-double
  -march=native -pthread
---
 >   Compiler flags:      -pipe -Wno-multichar -Wno-write-strings 
-fno-enforce-eh-specs -Wno-non-template-friend -s -O3 -
ffast-math -malign-double -march=native -pthread

and noticed the checking whether g++ accepts yada-yada shows up for the 
beta9 configure ... is that a clue?


Post a reply to this message

From: James Holsenback
Subject: Re: UberPOV v1.37.1.0-beta.9 released
Date: 1 Feb 2015 01:49:01
Message: <54cd860d@news.povray.org>
On 01/31/2015 08:46 PM, James Holsenback wrote:
> On 01/31/2015 08:26 PM, James Holsenback wrote:
>> On 01/31/2015 03:47 AM, clipka wrote:
>>> Latest UberPOV version, with all the new official POV-Ray bells &
>>> whistles merged in.
>>>
>>> https://github.com/UberPOV/UberPOV/releases/tag/v1.37.1.0-beta.9
>>
>> I'm getting this error during the make portion of the build:
>>
>> In file included from backend/frame.h:67:0,
>>                   from lightgrp.cpp:35:
>> ./base/colour.h: In member function
>> ‘pov_base::GenericTrans<COLOUR_T>::Channel
>> pov_base::GenericTrans<COLOUR_T>::LegacyOpacity(const Colour&) const’:
>> ./base/colour.h:1132:28: error: ‘col’ was not declared in this scope
>> In file included from backend/frame.h:67:0,
>>                   from lightgrp.cpp:35:
>> ./base/colour.h: In constructor
>> ‘pov_base::GenericTransColour<CT>::GenericTransColour(const Colour&,
>> pov_base::GenericTransColour<CT>::Channel,
>> pov_base::GenericTransColour<CT>::Channel)’:
>> ./base/colour.h:1933:13: error: class ‘pov_base::GenericTransColour<CT>’
>> does not have any field named ‘mFilter’
>> ./base/colour.h:1934:13: error: class ‘pov_base::GenericTransColour<CT>’
>> does not have any field named ‘mTransm’
>> make[2]: *** [lightgrp.o] Error 1
>> make[2]: Leaving directory
>> `/home/ash/ScratchPad/uber/UberPOV-1.37.1.0-beta.9/source'
>> make[1]: *** [all-recursive] Error 1
>> make[1]: Leaving directory
>> `/home/ash/ScratchPad/uber/UberPOV-1.37.1.0-beta.9'
>> make: *** [all] Error 2
>>
>> Same error that I'm getting with ANY source AFTER beta6 (which built
>> just fine)
>
> thinking it's the configure phase I redirected output to file to compare
> results:
>
> diff c-outb6 c-outb9
> 4c4
> < Configure UberPOV version 1.37.0.0-beta.6
> ---
>  > Configure UberPOV version 1.37.1.0-beta.9
> 177a178
>  > checking whether g++ accepts -Wno-non-template-friend... yes
> 222c223
> < UberPOV 1.37.0.0-beta.6 has been configured.
> ---
>  > UberPOV 1.37.1.0-beta.9 has been configured.
> 235c236
> <   Compiler flags:      -pipe -Wno-multichar -Wno-write-strings
> -fno-enforce-eh-specs -s -O3 -ffast-math -malign-double
>   -march=native -pthread
> ---
>  >   Compiler flags:      -pipe -Wno-multichar -Wno-write-strings
> -fno-enforce-eh-specs -Wno-non-template-friend -s -O3 -
> ffast-math -malign-double -march=native -pthread
>
> and noticed the checking whether g++ accepts yada-yada shows up for the
> beta9 configure ... is that a clue?

Oh ... and the Compiler flags shows -Wno-non-template-friend for b9 as well


Post a reply to this message

From: James Holsenback
Subject: Re: UberPOV v1.37.1.0-beta.9 released
Date: 1 Feb 2015 01:50:38
Message: <54cd866e$1@news.povray.org>
On 01/31/2015 08:49 PM, James Holsenback wrote:
> On 01/31/2015 08:46 PM, James Holsenback wrote:
>> On 01/31/2015 08:26 PM, James Holsenback wrote:
>>> On 01/31/2015 03:47 AM, clipka wrote:
>>>> Latest UberPOV version, with all the new official POV-Ray bells &
>>>> whistles merged in.
>>>>
>>>> https://github.com/UberPOV/UberPOV/releases/tag/v1.37.1.0-beta.9
>>>
>>> I'm getting this error during the make portion of the build:
>>>
>>> In file included from backend/frame.h:67:0,
>>>                   from lightgrp.cpp:35:
>>> ./base/colour.h: In member function
>>> ‘pov_base::GenericTrans<COLOUR_T>::Channel
>>> pov_base::GenericTrans<COLOUR_T>::LegacyOpacity(const Colour&) const’:
>>> ./base/colour.h:1132:28: error: ‘col’ was not declared in this scope
>>> In file included from backend/frame.h:67:0,
>>>                   from lightgrp.cpp:35:
>>> ./base/colour.h: In constructor
>>> ‘pov_base::GenericTransColour<CT>::GenericTransColour(const Colour&,
>>> pov_base::GenericTransColour<CT>::Channel,
>>> pov_base::GenericTransColour<CT>::Channel)’:
>>> ./base/colour.h:1933:13: error: class ‘pov_base::GenericTransColour<CT>’
>>> does not have any field named ‘mFilter’
>>> ./base/colour.h:1934:13: error: class ‘pov_base::GenericTransColour<CT>’
>>> does not have any field named ‘mTransm’
>>> make[2]: *** [lightgrp.o] Error 1
>>> make[2]: Leaving directory
>>> `/home/ash/ScratchPad/uber/UberPOV-1.37.1.0-beta.9/source'
>>> make[1]: *** [all-recursive] Error 1
>>> make[1]: Leaving directory
>>> `/home/ash/ScratchPad/uber/UberPOV-1.37.1.0-beta.9'
>>> make: *** [all] Error 2
>>>
>>> Same error that I'm getting with ANY source AFTER beta6 (which built
>>> just fine)
>>
>> thinking it's the configure phase I redirected output to file to compare
>> results:
>>
>> diff c-outb6 c-outb9
>> 4c4
>> < Configure UberPOV version 1.37.0.0-beta.6
>> ---
>>  > Configure UberPOV version 1.37.1.0-beta.9
>> 177a178
>>  > checking whether g++ accepts -Wno-non-template-friend... yes
>> 222c223
>> < UberPOV 1.37.0.0-beta.6 has been configured.
>> ---
>>  > UberPOV 1.37.1.0-beta.9 has been configured.
>> 235c236
>> <   Compiler flags:      -pipe -Wno-multichar -Wno-write-strings
>> -fno-enforce-eh-specs -s -O3 -ffast-math -malign-double
>>   -march=native -pthread
>> ---
>>  >   Compiler flags:      -pipe -Wno-multichar -Wno-write-strings
>> -fno-enforce-eh-specs -Wno-non-template-friend -s -O3 -
>> ffast-math -malign-double -march=native -pthread
>>
>> and noticed the checking whether g++ accepts yada-yada shows up for the
>> beta9 configure ... is that a clue?
>
> Oh ... and the Compiler flags shows -Wno-non-template-friend for b9 as well

holy crap i'm rusty (bare with me) haven't even TOUCHED pov/uber for 
almost 3 months now: I'm using gcc (SUSE Linux) 4.6.2


Post a reply to this message

From: clipka
Subject: Re: UberPOV v1.37.1.0-beta.9 released
Date: 1 Feb 2015 03:10:57
Message: <54cd9941$1@news.povray.org>
Am 01.02.2015 um 02:49 schrieb James Holsenback:

>> and noticed the checking whether g++ accepts yada-yada shows up for the
>> beta9 configure ... is that a clue?
>
> Oh ... and the Compiler flags shows -Wno-non-template-friend for b9 as well

Nope (presuming with "yada-yada" you mean "-Wno-non-template-friend"); 
this is just the suppression of an unwarranted warning from g++. 
Effectively, what this is all about is that there was a quirk in older 
g++ versions violating the C++ specs, and now by default they issue a 
warning just in case your code was relying on g++'s old behaviour.

I'll have a closer look at it. It's certainly not something affecting 
the Windows build.


Post a reply to this message

From: clipka
Subject: Re: UberPOV v1.37.1.0-beta.9 released
Date: 1 Feb 2015 03:37:39
Message: <54cd9f83$1@news.povray.org>
Am 01.02.2015 um 02:26 schrieb James Holsenback:

> Same error that I'm getting with ANY source AFTER beta6 (which built
> just fine)

Can you please do me a favor and check again with the following versions:

     ce0aae6b54d434ceb3daf7410582f95ea742ac14 (2014-07-27)
     e1028cd0dbb0918324cf9b898906b54222fc67da (2014-07-29)

I have strong reason to believe that the latter introduced the error. 
Which also means that it's probably already present in the 
feature/colour_model branch in the official POV-Ray repo.


Post a reply to this message

From: James Holsenback
Subject: Re: UberPOV v1.37.1.0-beta.9 released
Date: 1 Feb 2015 04:08:01
Message: <54cda6a1$1@news.povray.org>
On 01/31/2015 10:37 PM, clipka wrote:
> Am 01.02.2015 um 02:26 schrieb James Holsenback:
>
>> Same error that I'm getting with ANY source AFTER beta6 (which built
>> just fine)
>
> Can you please do me a favor and check again with the following versions:
>
>      ce0aae6b54d434ceb3daf7410582f95ea742ac14 (2014-07-27)
>      e1028cd0dbb0918324cf9b898906b54222fc67da (2014-07-29)
>
> I have strong reason to believe that the latter introduced the error.
> Which also means that it's probably already present in the
> feature/colour_model branch in the official POV-Ray repo.
>

ce0aae6b54d434ceb3daf7410582f95ea742ac14 has the same error so I did NOT 
pull e1028cd0dbb0918324cf9b898906b54222fc67da


Post a reply to this message

From: clipka
Subject: Re: UberPOV v1.37.1.0-beta.9 released
Date: 1 Feb 2015 05:14:27
Message: <54cdb633@news.povray.org>
Am 01.02.2015 um 05:08 schrieb James Holsenback:
> On 01/31/2015 10:37 PM, clipka wrote:
>> Am 01.02.2015 um 02:26 schrieb James Holsenback:
>>
>>> Same error that I'm getting with ANY source AFTER beta6 (which built
>>> just fine)
>>
>> Can you please do me a favor and check again with the following versions:
>>
>>      ce0aae6b54d434ceb3daf7410582f95ea742ac14 (2014-07-27)
>>      e1028cd0dbb0918324cf9b898906b54222fc67da (2014-07-29)
>>
>> I have strong reason to believe that the latter introduced the error.
>> Which also means that it's probably already present in the
>> feature/colour_model branch in the official POV-Ray repo.
>>
>
> ce0aae6b54d434ceb3daf7410582f95ea742ac14 has the same error so I did NOT
> pull e1028cd0dbb0918324cf9b898906b54222fc67da

Strange - I suspect you must have done something wrong there. Never 
mind, I've been able to reproduce the error and trace it back to the 
"feature/colour_model" branch in the official repo (which is what 
UberPOV is based on). I'm currently in the process of releasing a fix.


Post a reply to this message

Goto Latest 10 Messages Next 6 Messages >>>

Copyright 2003-2008 Persistence of Vision Raytracer Pty. Ltd.